%define name    ka-deploy
%define version 0.92
%define release %mkrel 14
%define tftpbase tftpboot

Release:        %{release}
Version:        %{version}
Summary:        Ka-deploy cluster installation solution
Name:           %{name}
License:        GPL
Group:          System/Deploiment
Source:         %{name}.tar.bz2
Patch0:         ka-deploy-fs.patch.bz2
Patch1:         ka-deploy-fstab.patch.bz2
Patch2:         ka-deploy.patch.bz2
Patch3:         ka-d.sh.patch
Patch4:         ka-deploy-ka-d.sh-cciss.patch
Url:            http://ka-tools.sourceforge.net

%description
Ka-deploy is a tool for cloning large numbers of machines on a cluster

%package server-host
Summary:        Ka-deploy cluster installation solution - server host side
Group:          System/Deploiment
BuildRoot:      %{_tmppath}/%{name}-%{version}
Requires:       sh-utils bind-utils, syslinux >= 1.67
License:        GPL

%description server-host
Ka-deploy is a tool for cloning large numbers of machines on a cluster
This package is to be installed on a server

%package source-node
Summary:        Ka-deploy cluster installation solution - source node side
Group:          System/Deploiment
BuildRoot:      %{_tmppath}/%{name}-%{version}
Requires:       sh-utils
License:        GPL

%description source-node
Ka-deploy is a tool for cloning large numbers of machines on a cluster
This package is to be installed on the source node

%prep
%setup -q -n ka-deploy
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
# remove all the CVS directories
rm -rf `find -type d -name "CVS"`

# compile
#du
cd src && make

%install
rm -Rf $RPM_BUILD_ROOT
#SERVER SIDE
mkdir -p $RPM_BUILD_ROOT/%{tftpbase}/ka
mkdir -p $RPM_BUILD_ROOT/%{tftpbase}/ka/pxelinux.cfg
mkdir -p $RPM_BUILD_ROOT/%{tftpbase}/ka/pxelinux.cfg/IP
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ka
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m 755 scripts/ka_pxe_step $RPM_BUILD_ROOT/%{tftpbase}/ka/ka_pxe_step
install -m 644 scripts/template  $RPM_BUILD_ROOT/%{tftpbase}/ka/pxelinux.cfg/template
install -m 644 scripts/ka.conf $RPM_BUILD_ROOT/etc/ka/ka.conf
install -m 644 scripts/ka.funcs $RPM_BUILD_ROOT/etc/ka/ka.funcs
ln -s pxelinux.cfg/template $RPM_BUILD_ROOT/%{tftpbase}/ka/template
#install -m 644 syslinux-1.67/pxelinux.0 $RPM_BUILD_ROOT/%{tftpbase}/ka/pxelinux.0
install -m 755 scripts/configure_server.sh $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/configure_server.sh
install -m 755 scripts/test_services.sh $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/test_services.sh
install -m 644 doc/ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-deploy.1

ln -s ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d-server.1
ln -s ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d-client.1

#install -m 644 kernel/vmlinuz-nfsroot $RPM_BUILD_ROOT/%{tftpbase}/ka/vmlinuz-nfsroot
#END OF SERVER SIDE

#BEGINING OF CLIENT SIDE
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

install -m 755 src/ka-d-server $RPM_BUILD_ROOT%{_bindir}/ka-d-server
install -m 755 src/ka-d-client $RPM_BUILD_ROOT%{_bindir}/ka-d-client
install -m 755 scripts/ka-d.sh $RPM_BUILD_ROOT%{_bindir}/ka-d.sh
install -m 644 doc/ka-d.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d.1
ln -s ka-d.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d.sh.1
# END OF CLIENT SIDE



%clean
rm -rf $RPM_BUILD_ROOT

%post server-host
cp -f /usr/lib/syslinux/pxelinux.0 /%{tftpbase}/ka/pxelinux.0
# Add our IP address in the tftpserver file
#/sbin/ifconfig | grep -v 127.0.0.1 | grep "inet addr" | sed 's/^.*inet addr:\([^ ]*\) .*$/\1/g' | tail -n 1 > /%{tftpbase}/NFSROOT/tftpserver
# will be done by the configuration script

%files server-host
%defattr(-,root,root)

%doc README BUGS INSTALL doc 
%doc %{_mandir}/man1/ka-d-server.*
%doc %{_mandir}/man1/ka-d-client.*
%doc %{_mandir}/man1/ka-deploy.*

%config(noreplace) %{_sysconfdir}/ka
/%{tftpbase}/ka
%{_datadir}/%{name}-%{version}


%files source-node
%defattr(-,root,root)

%doc %{_mandir}/man1/ka-deploy.*
%doc %{_mandir}/man1/ka-d-server.*
%doc %{_mandir}/man1/ka-d.*

%{_bindir}/*
%{_datadir}/%{name}-%{version}

%changelog
* Sun Aug 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.92-14mdv2007.0
- Fix rpmlint warnings

* Fri Aug 11 2006 Erwan Velu <erwan@seanodes.com> 0.92-13mdk
- Rebuild 

* Wed Apr  6 2005  <guibo@guibo.mdkc.com> 0.92-12mdk
- add cciss support

* Thu Mar 31 2005  <guibo@guibpiv.guibland.com> 0.92-11mdk
- fix pb of fdisk_commands

* Wed Mar 30 2005 Erwan Velu <erwan@seanodes.com> 0.92-10mdk
- Using -m32 & static flags

* Fri Apr 02 2004 Erwan Velu <erwan@mandrakesoft.com> 0.92-9mdk
- Rebuild

* Thu Feb 13 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.92-8mdk
- rebuild

* Mon Nov 25 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 0.92-7mdk
- Fixing fstab problem with loop fs

* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 0.92-6mdk
- Fixing mount point

* Tue Nov 12 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 0.92-5mdk
- Adding multiple filesystem support
- Adding Stage2 upload

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-4mdk
- fix group

* Tue Aug 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.9.2-3mdk
- Rebuild

* Fri Jun 21 2002 Erwan Velu <erwan@mandrakesoft.com> 0.9.2-2mdk
- build with gcc 3.2

* Fri Jun 21 2002 Erwan Velu <erwan@mandrakesoft.com> 0.9.2-1mdk
- Adding ext3 support

* Thu Jun 20 2002 Erwan Velu <erwan@mandrakesoft.com> 0.9.1-1mdk
- First realease for Mandrakesoft
- Cleaning Specs
- Merging subpackages in one spec
